import(1)

NAME
import - capture some or all of an X server screen and save the image to a file.

SYNOPSIS
import [ options ... ] file

DESCRIPTION
Import reads an image from any visible window on an X server and outputs it as an image file. You can capture a single window, the entire screen, or any rectangular portion of the screen. Use display for redisplay, printing, editing, formatting, archiving, image processing, etc. of the captured image. The target window can be specified by id, name, or may be selected by clicking the mouse in the desired window. If you press a button and then drag, a rectangle will form which expands and contracts as the mouse moves. To save the portion of the screen defined by the rectangle, just release the button. The keyboard bell is rung once at the beginning of the screen capture and twice when it completes.

EXAMPLES
To select an X window or an area of the screen with the mouse and save it in the MIFF image format to a file entitled window.miff, use:
    import window.miff To select an X window or an area of the screen with the mouse and save it in the Encapsulated PostScript format to include in another document, use:
    import figure.eps To capture the entire X server screen in the JPEG image format in a file entitled root.jpeg, without using the mouse, use:
    import -window root root.jpeg To capture the 512x256 area at the upper right corner of the X server screen in the PNG image format in a well-compressed file entitled corner.png, without using the mouse, use:
    import -window root -crop 512x256-0+0 -quality 90
           corner.png

OPTIONS
Options are processed in command line order. Any option you specify on the command line remains in effect until it is explicitly changed by specifying the option again with a different effect. Import options can appear on the command line or in your X resources file. See X(1). Options on the command line supersede values specified in your X resources file. For a more detailed description of each option, see ImageMagick(1).

-bordercolor <color>
    the border color

-cache <threshold>
    (This option has been replaced by the -limit option)

-colors <value>
    preferred number of colors in the image

-colorspace <value>
    the type of colorspace

-comment <string>
    annotate an image with a comment

-crop <width>x<height>{+-}<x>{+-}<y>{%}
    preferred size and location of the cropped image

-debug <events>
    enable debug printout

-delay <1/100ths of a second>
    display the next image after pausing

-density <width>x<height>
    vertical and horizontal resolution in pixels of the image

-depth <value>
    depth of the image

-descend
    obtain image by descending window hierarchy

-display <host:display[.screen]>
    specifies the X server to contact

-dispose <method>
    GIF disposal method

-dither
    apply Floyd/Steinberg error diffusion to the image

-encoding <type>
    specify the text encoding

-endian <type>
    specify endianness (MSB or LSB) of output image

-extract <width>x<height>{+-}<x>{+-}<y>{%}{@} {!}{<}{>}
    extract an area from the image while decoding

-frame
    include the X window frame in the imported image

-geometry <width>x<height>{+-}<x>{+-}<y>{%}{@} {!}{<}{>}
    preferred size and location of the Image window.

-help
    print usage instructions

-interlace <type>
    the type of interlacing scheme

-label <name>
    assign a label to an image

-limit <type> <value>
    Disk, File, Map, or Memory resource limit

-log <string>

-monochrome
    transform the image to black and white

-negate
    replace every pixel with its complementary color

-page <width>x<height>{+-}<x>{+-}<y>{%}{!}{<}{>}
    size and location of an image canvas

-pause <seconds>
    pause between snapshots [import]

-ping
    efficiently determine image characteristics

-pointsize <value>
    pointsize of the PostScript, OPTION1, or TrueType font

-quality <value>
    JPEG/MIFF/PNG compression level

-resize <width>x<height>{%}{@}{!}{<}{>}
    resize an image

-rotate <degrees>{<}{>}
    apply Paeth image rotation to the image

-sampling-factor <horizontal_factor>x<vertical_factor>
    sampling factors used by JPEG or MPEG-2 encoder and YUV decoder/encoder.

-scene <value>
    set scene number

-screen
    specify the screen to capture

-silent
    operate silently

-snaps <value>
    number of screen snapshots

-transparent <color>
    make this color transparent within the image

-trim
    trim an image

-verbose
    print detailed information about the image

-version
    print ImageMagick version string For a more detailed description of each option, see ImageMagick(1).

ENVIRONMENT

DISPLAY

SEE ALSO
animate(1), display(1), composite(1), conjure(1), convert(1), identify(1), mogrify(1), montage(1), ImageMagick(1)

COPYRIGHT
Copyright (C) 2003 ImageMagick Studio Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files ("ImageMagick"), to deal in ImageMagick without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of ImageMagick, and to permit persons to whom the ImageMagick is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of ImageMagick. The software is provided "as is", without warranty of any kind, express or implied, including but not limited to the warranties of merchantability, fitness for a particular purpose and noninfringement.In no event shall ImageMagick Studio be liable for any claim, damages or other liability, whether in an action of contract, tort or otherwise, arising from, out of or in connection with ImageMagick or the use or other dealings in ImageMagick. Except as contained in this notice, the name of the ImageMagick Studio LLC shall not be used in advertising or otherwise to promote the sale, use or other dealings in ImageMagick without prior written authorization from the ImageMagick Studio.

AUTHORS
John Cristy, ImageMagick Studio LLC,
Glenn Randers-Pehrson, ImageMagick Studio LLC.